Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230409 - Test depends on unnecessary logfile
Summary: Test depends on unnecessary logfile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 19:16 UTC by David Swegen
Modified: 2016-02-18 00:01 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0736
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-02 16:29:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0736 normal SHIPPED_LIVE hts bug fix available 2007-10-24 15:32:42 UTC

Description David Swegen 2007-02-28 19:16:52 UTC
Description of problem:

The video test currently depends on two differnt X log files having been
generated during setup: Xorg.0.log and Xorg.2.log. While log #2 is generated by
the test itself, log #1 is only generated by running either startx with no
options or by gdm, neither which should be a requirement for running the video test.

The code in question is /usr/share/hts/tests/video/video.py line 100, and I
believe it can safely be removed without comprising test results.


Version-Release number of selected component (if applicable):

hts-5.0-25

How reproducible:

Always


Steps to Reproduce:
1. Stop any running X server
2. Delete /var/log/Xorg.0.log
3. Run video test.
  
Actual results:

Video test fails with a file copy error

Expected results:

Test should pass


Additional info:

Comment 1 Greg Nichols 2007-03-13 16:29:42 UTC
Fixed in R32

Comment 4 Red Hat Bugzilla 2007-08-02 16:29:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0736.html



Note You need to log in before you can comment on or make changes to this bug.